## com.google.javascript.jscomp
Interface SourceExcerptProvider.ExcerptFormatter

Enclosing interface:
  SourceExcerptProvider

    public static interface SourceExcerptProvider.ExcerptFormatter

A excerpt formatter is responsible of formatting source excerpts.

Method Summary
`String` | `formatLine(String line, int lineNumber)` Format a line excerpt.
`String` | `formatRegion(Region region)` Format a region excerpt.

Method Detail

### formatLine

    String formatLine(String line,
                      int lineNumber)

  Format a line excerpt.

### formatRegion

    String formatRegion(Region region)

  Format a region excerpt.